<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_ca8856aa9ac8f309474" . "7f3fffad932c0" => base64_decode("dmFy" . "aWFi" . "bGUg"));
class NameNode extends Node
{
    protected $name;
    public function __construct(string $name)
    {
        $this->name = $name;
    }
    
    
    
    
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ca8856aa9ac8f30947" . "47f3fffad932c0"] . $this->name;
    }
    public function VariableName() : string
    {
        return $this->name;
    }
}